Browse Source

Alternative cmd for nginx only

Andrey Volkov 6 months ago
parent
commit
b80214540c
4 changed files with 10 additions and 2 deletions
  1. 1
    1
      Dockerfile
  2. 2
    1
      Vagrantfile
  3. 7
    0
      assets/run_nginx.sh
  4. 0
    0
      assets/run_supervisord.sh

+ 1
- 1
Dockerfile View File

@@ -81,4 +81,4 @@ RUN /opt/startup.sh
81 81
 
82 82
 VOLUME [ "/opt/nginx" ]
83 83
 
84
-CMD [ "/opt/run.sh" ]
84
+CMD [ "/opt/run_supervisord.sh" ]

+ 2
- 1
Vagrantfile View File

@@ -93,7 +93,8 @@ Vagrant.configure("2") do |config|
93 93
       d.build_image "/home/vagrant/docker-aptly -t aptly:test --build-arg PACKAGE_FILE=list"
94 94
       d.run "aptly",
95 95
             args: "-p '8080:80' -v '/home/vagrant/docker-aptly/assets/nginx:/opt/nginx'",
96
-            image: "aptly:test"
96
+            image: "aptly:test",
97
+            cmd: "/opt/run_nginx.sh"
97 98
     end
98 99
 
99 100
     node.vm.provision :shell, inline: <<-SHELL

+ 7
- 0
assets/run_nginx.sh View File

@@ -0,0 +1,7 @@
1
+#!/usr/bin/env bash
2
+
3
+set -o pipefail
4
+set -o errexit
5
+# set -o xtrace
6
+
7
+/usr/sbin/nginx

assets/run.sh → assets/run_supervisord.sh View File


Loading…
Cancel
Save